Subject: Re: bug#71356: use-package doesn't load org from elpa

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jun 2024 09:02:28 +0300

> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> Date: Thu, 6 Jun 2024 07:46:31 +0200
> Cc: Eli Zaretskii <[email-masked]>, Philip Kaludercic <[email-masked]>, [email-masked]
> 
> Andrea is right. Reading through all the documentation, I implied
> that use-package would upgrade built-in packages if I pinned them to an archive
> and I :ensure'd them. 
> 
> Use case: want to upgrade org from the 9.6.x version packaged with master to the
> 9.7.x version available in elpa. 
> 
> Maybe this is more a FR and if so, we could move this to the list and have an informed 
> discussion there.

I'd like to hear from Philip.  If use-package just uses package.el,
then the behavior is expected.

Do you have package-install-upgrade-built-in set non-nil?  If not, can
you set it non-nil and try the recipe again?

As for a feature request: what exactly is the feature requested here?
Are you saying that use-package should automatically upgrade built-in
packages?  If so, I don't think this will fly, since it would mean
inconsistencies with package-install.